Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
How to Upgrade from 5.X.X to 6.0.X
#1
Video 
Since there isn't really a good walk-though on this yet, I thought I would post my experience.

I've avoided upgrading to the latest "open source" version because I simply didn't need to upgrade and I thought the process was going to be complicated.  But then I had an issue with my parents system and I had to replace their computer and restore their CQC system from a backup (one that was generated during a previous upgrade).  I thought it would be a good time to upgrade because I was going to have to bother Dean for a new license since the install was on a new computer.  EDIT - Let me clarify..... I had restored their system on the new computer to version 5.2.9 and it was in good working order (but I did not activate a license for that version. I was operating under the "trial" time frame). You need to be on a working CQC version (ie not in an uninstalled status) for the upgrade process to work.

First, I started out on version 5.2.9.  If you are on an earlier version and try to install a version like 5.3.2, the installer might tell you to install some other intermediate version. If this happens, install the version that is mentioned and then continue on. The installation system is really good about walking you through the required versions and won't let you skip any required versions. In other words, if the process requires you to install a particular version as a stepping stone before continuing on, the system will tell you which version needs to be installed.

From 5.2.9 I was forced to upgrade to 5.3.2 (https://www.charmedquark.com/Web2/Downlo..._5_3_2.exe) as one of these "stepping stone" versions. If you are on a version that is lower than 5.3.2, you will have to upgrade to 5.3.2 before continuing on. If you are already on a version 5.3.2 or later you can simply go to the next step.

From version 5.3.2 or later, you have to upgrade to 5.4.914 (https://www.charmedquark.com/Web2/Downlo..._4_914.exe)
From version 5.4.914 (or later) you have to upgrade to 5.4.917 (http://www.charmedquark.com/web2/Downloa..._4_917.exe)

Once I was on 5.4.917, I was able to go directly to the latest version which at the time I did the installation was 6.0.2 (https://www.charmedquark.com/Web2/Downlo..._6_0_2.exe)

The process ended up being much simpler than I had expected.  All the updates went though without any issues (and I didn't even reboot between updates).  It must be working properly, because when I start any of the CQC apps, it does not prompt me for a license!

Anyway, I hope this can help some people upgrade without too much trouble.
Brian - a long time user that rarely messes with the system now
Other systems used:
SageTV w/ cablecard tuner & multiple extenders for viewing
BlueIris and IP cameras for CCTV
Incredible PBX for home phone
Reply
#2
At what point did you transfer your old files to the new one? Do you just copy Bin or the other folder too?
tia, Ron

My HT equipment I want to control by CQC (some day hopefully)
Yamaha CX-A5100, Dune HD pro 4k, Dune HD Pro 4k plus, ISY 994i, LG 86" 4k FP, and a projector in the future
Reply
#3
I didn't have to copy any files over. The upgrade process is seemless.

I was lucky enough that I had a backup of the CQC system in another drive that I used to restore their system before upgrading it. It was a backup that is optionally produced when you upgrade versions.
Brian - a long time user that rarely messes with the system now
Other systems used:
SageTV w/ cablecard tuner & multiple extenders for viewing
BlueIris and IP cameras for CCTV
Incredible PBX for home phone
Reply
#4
I tried that and when I did the upgrade it wants a registration. Do you remember the old way of copying folders to your latest update to retain your settings? I am not sure if it is all folders or specific ones anymore.
tia, Ron

My HT equipment I want to control by CQC (some day hopefully)
Yamaha CX-A5100, Dune HD pro 4k, Dune HD Pro 4k plus, ISY 994i, LG 86" 4k FP, and a projector in the future
Reply
#5
IIRC you'll get the registration notice all the way until version 6.x.

From what I recall rolling back to an earlier version is copying the appropriate CQC directory back to the original location and running the appropriate installer.

Of course YMMV.
Les
Reply
#6
(07-02-2021, 04:59 PM)LesAuber Wrote: IIRC you'll get the registration notice all the way until version 6.x.

From what I recall rolling back to an earlier version is copying the appropriate CQC directory back to the original location and running the appropriate installer.

Of course YMMV.

I think I tried rolling back and then installing 6 last time... I will try that again.
tia, Ron

My HT equipment I want to control by CQC (some day hopefully)
Yamaha CX-A5100, Dune HD pro 4k, Dune HD Pro 4k plus, ISY 994i, LG 86" 4k FP, and a projector in the future
Reply
#7
You can't import your old stuff or anything. You have start with your orignal, working system, then upgrade forward.
Dean Roddey
Explorans limites defectum
Reply
#8
(07-04-2021, 07:15 AM)Dean Roddey Wrote: You can't import your old stuff or anything. You have start with your orignal, working system, then upgrade forward.
Well...I just uninstalled CQC, but left the folder. I then installed 5.4.914 , and selected already installed and selected the old backup."CQCBackup-20210628_200334-5_4_914". when that was done I updated to 6.02 (CQCInstSE_6_0_2), and it wants my registration number since I had zero days left on the previous install due to a fresh Windows 10 install..
This the registration request it is asking for. AF6F5257FEDFA6F16096A7DD9A963DD3

Now what? Wouldn't this be easier if you would just send the Registration info since it is not updating as you say without a working CQC? I have been trying this for 2 weeks, and nothing has worked, I do not want to lose my previous settings from the old working setup and start over again.
tia, Ron

My HT equipment I want to control by CQC (some day hopefully)
Yamaha CX-A5100, Dune HD pro 4k, Dune HD Pro 4k plus, ISY 994i, LG 86" 4k FP, and a projector in the future
Reply
#9
As per the instructions above, it's 914, then 917, then 6.x. 917 is what gets rid of the licensing.
Dean Roddey
Explorans limites defectum
Reply


Possibly Related Threads…
Thread Author Replies Views Last Post
  client driver error after upgrade to 4.8.1 batwater 1 2,908 12-31-2015, 11:39 AM
Last Post: Dean Roddey
  Not seeing loads (lighting) after upgrade to Beta pbohannon 4 3,643 06-09-2014, 07:26 AM
Last Post: pbohannon
  upgrade error - Urgent help znelbok 38 14,926 02-22-2011, 09:03 PM
Last Post: Dean Roddey
  Upgrade from 2.3x panos_k75 8 3,941 02-08-2009, 12:03 PM
Last Post: Dean Roddey
  Cant upgrade from 2.36 to 2.4.26C dirtracinfan 4 2,976 01-11-2009, 03:38 PM
Last Post: dirtracinfan
  Media respository problem after 2.0.6 upgrade bryanb 34 19,369 01-16-2007, 12:19 PM
Last Post: Dean Roddey
  Movies disappeared after 2.0.9 upgrade Sparks 2 3,329 01-16-2007, 10:11 AM
Last Post: penngray

Forum Jump:


Users browsing this thread: 1 Guest(s)